<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_MaterialsAndSupplies" xlink:label="orio_MaterialsAndSupplies" />
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_ContingencyReserves" xlink:label="orio_ContingencyReserves" />
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_ReserveForInvestedUnrestrictedEquity" xlink:label="orio_ReserveForInvestedUnrestrictedEquity" />
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_MiscellaneousOtherReserves" xlink:label="orio_MiscellaneousOtherReserves" />
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_FinanceCostsPaidFinanceIncomeReceivedOtherThanInterestClassifiedAsOperatingActivities" xlink:label="orio_FinanceCostsPaidFinanceIncomeReceivedOtherThanInterestClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_FundsMember" xlink:label="orio_FundsMember" />
    <loc xlink:type="locator" xlink:href="549300UWB1AIR85BM957-2025-12-31.xsd#orio_ReservesMember" xlink:label="orio_ReservesMember" />
    <labelArc xlink:type="arc" xlink:from="orio_MaterialsAndSupplies" xlink:to="label_orio_orioMaterialsAndSupplies_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="orio_ContingencyReserves" xlink:to="label_orio_orioContingencyReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="orio_ReserveForInvestedUnrestrictedEquity" xlink:to="label_orio_orioReserveForInvestedUnrestrictedEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="orio_MiscellaneousOtherReserves" xlink:to="label_orio_orioMiscellaneousOtherReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="orio_FinanceCostsPaidFinanceIncomeReceivedOtherThanInterestClassifiedAsOperatingActivities" xlink:to="label_orio_orioFinanceCostsPaidFinanceIncomeReceivedOtherThanInterestClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="orio_FundsMember" xlink:to="label_orio_FundsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="orio_ReservesMember" xlink:to="label_orio_ReservesMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_orio_orioMaterialsAndSupplies_Standard" id="orio_orioMaterialsAndSupplies_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Materiaalit ja tarvikkeet</label>
    <label xlink:label="label_orio_orioContingencyReserves_Standard" id="orio_orioContingencyReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Käyttörahasto</label>
    <label xlink:label="label_orio_orioReserveForInvestedUnrestrictedEquity_Standard" id="orio_orioReserveForInvestedUnrestrictedEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitetun vapaan oman pääoman rahasto</label>
    <label xlink:label="label_orio_orioMiscellaneousOtherReserves_Standard" id="orio_orioMiscellaneousOtherReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Muut rahastot</label>
    <label xlink:label="label_orio_orioFinanceCostsPaidFinanceIncomeReceivedOtherThanInterestClassifiedAsOperatingActivities_Standard" id="orio_orioFinanceCostsPaidFinanceIncomeReceivedOtherThanInterestClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Muut rahoitustuotot ja -kulut</label>
    <label xlink:label="label_orio_FundsMember" id="orio_FundsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Rahastot</label>
    <label xlink:label="label_orio_ReservesMember" id="orio_ReservesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Rahastot</label>
  </labelLink>
</linkbase>